# DataExchange
TKSTEPBase
StepShape

# StepShape_HArray1OfOrientedEdge Class Reference

`#include <StepShape_HArray1OfOrientedEdge.hxx>`

## Public Member Functions

Standard_EXPORT | StepShape_HArray1OfOrientedEdge (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepShape_HArray1OfOrientedEdge (const Standard_Integer Low, const Standard_Integer Up, const Handle(StepShape_OrientedEdge)&V)
Standard_EXPORT void | Init (const Handle(StepShape_OrientedEdge)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepShape_OrientedEdge)&Value)
const Handle_StepShape_OrientedEdge & | Value (const Standard_Integer Index) const
Handle_StepShape_OrientedEdge & | ChangeValue (const Standard_Integer Index)
const StepShape_Array1OfOrientedEdge & | Array1 () const
StepShape_Array1OfOrientedEdge & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepShape_Array1OfOrientedEdge | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_HArray1OfOrientedEdge::StepShape_HArray1OfOrientedEdge | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepShape_HArray1OfOrientedEdge::StepShape_HArray1OfOrientedEdge | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(StepShape_OrientedEdge)& | V
| ) |

## Member Function Documentation

const StepShape_Array1OfOrientedEdge& StepShape_HArray1OfOrientedEdge::Array1 | ( |  | ) | const

StepShape_Array1OfOrientedEdge& StepShape_HArray1OfOrientedEdge::ChangeArray1 | ( |  | ) |

Handle_StepShape_OrientedEdge& StepShape_HArray1OfOrientedEdge::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepShape_HArray1OfOrientedEdge::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepShape_HArray1OfOrientedEdge::Init | ( | const Handle(StepShape_OrientedEdge)& | V | ) |

Standard_Integer StepShape_HArray1OfOrientedEdge::Length | ( |  | ) | const

Standard_Integer StepShape_HArray1OfOrientedEdge::Lower | ( |  | ) | const

void StepShape_HArray1OfOrientedEdge::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepShape_OrientedEdge)& | Value
| ) |

Standard_Integer StepShape_HArray1OfOrientedEdge::Upper | ( |  | ) | const

const Handle_StepShape_OrientedEdge& StepShape_HArray1OfOrientedEdge::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepShape_Array1OfOrientedEdge StepShape_HArray1OfOrientedEdge::myArray `[private]`

The documentation for this class was generated from the following file:

- StepShape_HArray1OfOrientedEdge.hxx